org.mozilla.javascript.optimizer

## Class OptFunctionNode

- java.lang.Object
- - org.mozilla.javascript.optimizer.OptFunctionNode

-     public final class OptFunctionNode
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FunctionNode` | `fnode`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OptFunctionNode` | `get(ScriptNode scriptOrFn)`
    `static OptFunctionNode` | `get(ScriptNode scriptOrFn, int i)`
    `int` | `getDirectTargetIndex()`
    `boolean` | `getParameterNumberContext()`
    `int` | `getVarCount()`
    `int` | `getVarIndex(Node n)`
    `boolean` | `isNumberVar(int varIndex)`
    `boolean` | `isParameter(int varIndex)`
    `boolean` | `isTargetOfDirectCall()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fnode

          public final FunctionNode fnode

  - ### Method Detail

    - #### get

          public static OptFunctionNode get(ScriptNode scriptOrFn,
                            int i)

    - #### get

          public static OptFunctionNode get(ScriptNode scriptOrFn)

    - #### isTargetOfDirectCall

          public boolean isTargetOfDirectCall()

    - #### getDirectTargetIndex

          public int getDirectTargetIndex()

    - #### getParameterNumberContext

          public boolean getParameterNumberContext()

    - #### getVarCount

          public int getVarCount()

    - #### isParameter

          public boolean isParameter(int varIndex)

    - #### isNumberVar

          public boolean isNumberVar(int varIndex)

    - #### getVarIndex

          public int getVarIndex(Node n)